commit 0c5a3b54ea13283b7cfcb28f4bd6503b2ed6ea16
Author: Ondrej Drtina <drtinao@students.zcu.cz>
Date:   Wed Apr 28 17:51:17 2021 +0200

    #8751 - přejmenovány Poznámky dle požadavků zadavatelek + přidány záložky, taby (obsah TBD)

diff --git a/application/contacts.php b/application/contacts.php
new file mode 100644
index 0000000..cf69486
--- /dev/null
+++ b/application/contacts.php
@@ -0,0 +1,44 @@
+<?php
+session_start();
+?>
+
+<!doctype html>
+
+<html >
+<head>
+    <meta charset="utf-8">
+    <title>Dalimilova kronika</title>
+    <!-- css -->
+    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css">
+    <link rel="stylesheet" href="view/style.css?<?php echo date('l jS \of F Y h:i:s A'); ?>">
+    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
+
+    <!-- jQuery library -->
+    <script src="https://code.jquery.com/jquery-3.1.1.slim.min.js"></script>
+    <script src="https://cdnjs.cloudflare.com/ajax/libs/tether/1.4.0/js/tether.min.js"></script>
+
+    <!-- JavaScript -->
+    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-alpha.6/js/bootstrap.min.js"></script>
+</head>
+<body>
+
+<div class="container-fluid">
+    <?php include "./view/header.html" ?>
+    <?php include "./view/menu.php" ?>
+
+    <div class="row app-content">
+        <div class="col-xs-12 col-sm-12 p-4 content d-flex">
+            <?php include "./view/contactsContent.html" ?>
+        </div>
+    </div>
+    <?php include "./view/footer.html" ?>
+</div>
+<?php include "./view/modals/loginModal.html" ?>
+<?php include "./view/modals/invalidLoginModal.html" ?>
+</body>
+</html>
+
+<!-- hide settings, this is relevant only on search page -->
+<script>
+	document.getElementById("modalSettingsHref").style.display = "none";     
+</script>
\ No newline at end of file
diff --git a/application/material.php b/application/material.php
new file mode 100644
index 0000000..6827178
--- /dev/null
+++ b/application/material.php
@@ -0,0 +1,44 @@
+<?php
+session_start();
+?>
+
+<!doctype html>
+
+<html >
+<head>
+    <meta charset="utf-8">
+    <title>Dalimilova kronika</title>
+    <!-- css -->
+    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css">
+    <link rel="stylesheet" href="view/style.css?<?php echo date('l jS \of F Y h:i:s A'); ?>">
+    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
+
+    <!-- jQuery library -->
+    <script src="https://code.jquery.com/jquery-3.1.1.slim.min.js"></script>
+    <script src="https://cdnjs.cloudflare.com/ajax/libs/tether/1.4.0/js/tether.min.js"></script>
+
+    <!-- JavaScript -->
+    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-alpha.6/js/bootstrap.min.js"></script>
+</head>
+<body>
+
+<div class="container-fluid">
+    <?php include "./view/header.html" ?>
+    <?php include "./view/menu.php" ?>
+
+    <div class="row app-content">
+        <div class="col-xs-12 col-sm-12 p-4 content d-flex">
+            <?php include "./view/materialContent.html" ?>
+        </div>
+    </div>
+    <?php include "./view/footer.html" ?>
+</div>
+<?php include "./view/modals/loginModal.html" ?>
+<?php include "./view/modals/invalidLoginModal.html" ?>
+</body>
+</html>
+
+<!-- hide settings, this is relevant only on search page -->
+<script>
+	document.getElementById("modalSettingsHref").style.display = "none";     
+</script>
\ No newline at end of file
diff --git a/application/view/contactsContent.html b/application/view/contactsContent.html
new file mode 100644
index 0000000..c990bcb
--- /dev/null
+++ b/application/view/contactsContent.html
@@ -0,0 +1 @@
+<p>tady budou kontakty</p>
\ No newline at end of file
diff --git a/application/view/indexContent.html b/application/view/indexContent.html
index c1b98e0..693f630 100644
--- a/application/view/indexContent.html
+++ b/application/view/indexContent.html
@@ -1,8 +1,5 @@
 <p>
-    Dvě existující, už vytvořené samostatné databáze slov a jejich tvarů ze všech pramenů Dalimilovy kroniky (tj. staročeské památky z období 14., 15. století).
-    Kronika vypráví ve staročeštině o dějinách naší země, je to první česky psaná kronika.
-    Zkoumání jejího jazyka dovoluje popsat hlavní vývojové tendence češtiny v tzv. staročeském období (14., 15. století)
-    a pochopit stav češtiny i její vývoj v současnosti. Databáze byly vytvořeny jako podpora pro zpracování tiskové podoby indexu
-    všech slov a tvarů doložených v dochovaných pramenech. Index (celkem 3 díly) vyšel postupně v letech 2012–2020 jako výsledek
-    řešení tří vědeckých projektů v rámci Fakulty pedagogické.
+    Internetová aplikace zpřístupňuje badatelské veřejnosti Index slov a tvarů Dalimilovy kroniky.  Byla vytvořena řešitelským týmem studentů katedry informatiky a výpočetní techniky Fakulty aplikovaných věd Západočeské univerzity v Plzni, vedeným Bc. Ondřejem Drtinou pod gescí doc. Ing. Přemysla Brady, MSc, Ph.D. Vychází z výsledků projektů, které byly v letech 2013–2020 řešeny studenty katedry českého jazyka a literatury Fakulty pedagogické ZČU v Plzni pod vedením PhDr. Evy Pasáčkové, CSc., a Mgr. Martiny Spěváčkové, Ph.D. Hlavním výsledkem těchto projektů bylo vydání indexu v tištěné podobě (Staročeská kronika tak řečeného Dalimila. Index slov a tvarů. 1. část – substantiva, adjektiva. Plzeň: ZČU 2013, 2. část – slovesa. Plzeň: ZČU 2015, 3. část – zájmena, číslovky, neohebné slovní druhy. Plzeň: ZČU 2020). Nedílnou a velmi důležitou součástí řešení bylo vytvoření anotačního editoru, na jehož základě byla zpracována finální podoba pro tisk. Zásadní podporou pro zpracování bylo vytvoření dvou elektronických databází. Tvůrcem byl Ing. Tomáš Brychcín, Ph.D.
+Řešitelský tým studentů Fakulty aplikovaných věd ve složení Ondřej Drtina, Ondřej Anděl, Tomáš Pašek a Milan Vacek tyto pracovní databáze sloučil a vytvořil internetovou aplikaci, která data zpřístupňuje všem uživatelům na webu.
+Projekty byly podpořeny vnitřní grantovou soutěží Západočeské univerzity v Plzni. 
 </p>
\ No newline at end of file
diff --git a/application/view/manualContent.php b/application/view/manualContent.php
index c81a141..e5cc670 100644
--- a/application/view/manualContent.php
+++ b/application/view/manualContent.php
@@ -9,7 +9,7 @@
 <p>Toto kritérium je zadané pomocí rozbalovacího seznamu. V tomto seznamu jsou vyzobrazeny všechny prameny, jež databáze obsahuje. Je možné vybrat libovolné množství pramenů současně, přičemž při nevyplnění tohoto políčka systém automaticky bere v potaz všechny prameny. Po výběru pramenů systém najde všechny záznamy, které se nachází aspoň v jednom z vybraných pramenů. </p>
 <h3>Pozice</h3>
 <p> Toto číselné kritérium určuje pozici záznamu v dokumentu a lze zadat následujícími třemi způsoby. První způsob je zadat pouze číselnou hodnotu. V tomto případě se systém pokusí najít všechny záznamy, jejichž číselná hodnota před lomítkem je stejná. V opačném případě je možné zadat číselnou hodnotu předcházenou znakem <b>/</b>. Výsledek této operace bude vypsání všech záznamů, jež  mají zadanou hodnotu na druhé pozici, za lomítkem. Poslední způsob je zadání celé pozice, v jehož případě systém vyhledá pouze danou pozici. Tímto způsobem lze také zadat element na třetí pozici.</p>
-<h3>Poznámka 2</h3>
+<h3>Doplňující údaj</h3>
 <p>Toto kritérium porovná zadaný text s obsahem sloupce Poznámka 2. Pokud je zadán pouze text nebo část textu, systém zaháji hledání této části od začátku slova ve sloupci. Pokud je požadováno, aby text předcházel právě jeden znak lze použít operátor <b>_</b>. V opačném případě kdy vyžadováno, aby text předcházelo nula až neomezeně znaků, lze použít operátor <b>%</b>.</p>
 <h3>Slovní druh</h3>
 <p>Slovní druh lze vybrat z rozbalovacího seznamu. Tato volba nejen ovlivní výsledky vyhledávání, ale také <b>umožňí volbu pokročilých možností</b>. Tyty možnosti jsou popsány v tabulce v kapitole <b>Pokročilé možnosti</b>.</p>
diff --git a/application/view/materialContent.html b/application/view/materialContent.html
new file mode 100644
index 0000000..674e746
--- /dev/null
+++ b/application/view/materialContent.html
@@ -0,0 +1,3 @@
+<p>
+    Webová aplikace indexu slov a tvarů Staročeské kroniky tak řečeného Dalimila zpřístupňuje slova a slovní tvary, které jsou doloženy v dochovaných textových pramenech této staročeské památky. Index vychází z lístkové kartotéky slov vytvořené prof. Jiřím Daňhelkou (54 482 lístky) v souvislosti s přípravou vydání edice (Daňhelka, J.; Hádek, K.; Kvítková, N.: Staročeská kronika tak řečeného Dalimila. 1, 2 Vydání textu a veškerého textového materiálu. Praha: Academia: 1988). Zahrnuje všechna doložená slova a jejich slovní tvary, a to v transkribované podobě, jejich morfologickou charakteristiku, údaj o textových pramenech, v nichž se tvary nachází, přesnou lokaci (číslo kapitoly, číslo verše). V položce doplňující údaj je uveden případný odkaz k variantní formě lexému, u slovesných tvarů je údaj o doložené konstrukční spojitelnosti (valenci), výjimečně také o spojitelnosti sémantické. Poznámky připojené k jednotlivým tvarům upozorňují na písařskou či opisovačskou chybu nebo upozorňují na úplné čtení dokladu.
+</p>
\ No newline at end of file
diff --git a/application/view/menu.php b/application/view/menu.php
index f5e078b..da8840e 100644
--- a/application/view/menu.php
+++ b/application/view/menu.php
@@ -1,8 +1,10 @@
 <div class="row menu">
     <div class="d-flex mx-auto">
-        <a class="px-4 py-1 <?php echo (strstr($_SERVER['PHP_SELF'], '/index.php') ? 'active' : '');?>" href="index.php">Úvodní info</a>
+        <a class="px-4 py-1 <?php echo (strstr($_SERVER['PHP_SELF'], '/index.php') ? 'active' : '');?>" href="index.php">Úvod</a>
+        <a class="px-4 py-1 <?php echo (strstr($_SERVER['PHP_SELF'], '/material.php') ? 'active' : '');?>" href="material.php">Zpracovaný materiál</a>
         <a class="px-4 py-1 <?php echo (strstr($_SERVER['PHP_SELF'],'/search.php') ? 'active' : '');?>" href="search.php">Vyhledávání</a>
-        <a class="px-4 py-1 <?php echo (strstr($_SERVER['PHP_SELF'],'/manual.php') ? 'active' : '');?>" href="manual.php">Manuál</a>
+        <a class="px-4 py-1 <?php echo (strstr($_SERVER['PHP_SELF'],'/manual.php') ? 'active' : '');?>" href="manual.php">Jak hledat?</a>
+        <a class="px-4 py-1 <?php echo (strstr($_SERVER['PHP_SELF'],'/contacts.php') ? 'active' : '');?>" href="contacts.php">Kontakty</a>
         <?php
             if (isset($_SESSION['role']) && $_SESSION['role'] == "admin") {
                 echo "<a class=\" px-4 py-1 ";
diff --git a/application/view/modals/detailModal.html b/application/view/modals/detailModal.html
index 43473dd..2871bbd 100644
--- a/application/view/modals/detailModal.html
+++ b/application/view/modals/detailModal.html
@@ -33,7 +33,7 @@
                     </div>
                     <div class="row">
                         <div class="col-xs-12 col-sm-4">
-                            <label>Poznámka 1:</label>
+                            <label>Poznámka:</label>
                         </div>
                         <div class="col-xs-12 col-sm-8">
                             <i id="description"></i>
@@ -41,7 +41,7 @@
                     </div>
                     <div class="row">
                         <div class="col-xs-12 col-sm-4">
-                            <label>Poznámka 2:</label>
+                            <label>Doplňující údaj:</label>
                         </div>
                         <div class="col-xs-12 col-sm-8">
                             <i id="description2"></i>
@@ -50,7 +50,7 @@
                     <?php if(isset($_SESSION['loggedIn']) && $_SESSION['loggedIn'] == true) {?>
                     <div class="row">
                         <div class="col-xs-12 col-sm-4">
-                            <label>Poznámka 3:</label>
+                            <label>Varia:</label>
                         </div>
                         <div class="col-xs-12 col-sm-8">
                             <i id="description3"></i>
diff --git a/application/view/modals/editModal.html b/application/view/modals/editModal.html
index 83bc3a1..38ecd14 100644
--- a/application/view/modals/editModal.html
+++ b/application/view/modals/editModal.html
@@ -74,7 +74,7 @@
                     </div>
                     <div class="row my-1">
                         <div class="col-xs-12 col-sm-4">
-                            <label for="description">Poznámka 1:</label>
+                            <label for="description">Poznámka:</label>
                         </div>
                         <div class="col-xs-12 col-sm-8">
                             <input class="min-wdth" id="description"/>
@@ -82,7 +82,7 @@
                     </div>
                     <div class="row my-1">
                         <div class="col-xs-12 col-sm-4">
-                            <label for="description2_edit">Poznámka 2:</label>
+                            <label for="description2_edit">Doplňující údaj:</label>
                         </div>
                         <div class="col-xs-12 col-sm-8">
                             <input class="min-wdth" id="description2_edit"/>
@@ -90,7 +90,7 @@
                     </div>
                     <div class="row my-1">
                         <div class="col-xs-12 col-sm-4">
-                            <label for="description3">Poznámka 3:</label>
+                            <label for="description3">Varia:</label>
                         </div>
                         <div class="col-xs-12 col-sm-8">
                             <input class="min-wdth" id="description3"/>
diff --git a/application/view/searchContent.php b/application/view/searchContent.php
index 9fc1b91..7ba0e55 100644
--- a/application/view/searchContent.php
+++ b/application/view/searchContent.php
@@ -55,7 +55,7 @@
             <input type="text" id="location">
         </div>
         <div class="mr-3">
-            <label for="description2" class="mr-2">Poznámka 2</label>
+            <label for="description2" class="mr-2">Doplňující údaj</label>
             <input type="text" id="description2" />
         </div>
 
@@ -471,7 +471,7 @@
             <th scope="col">Morfologie</th>
             <th scope="col">Rukopisy</th>
             <th scope="col">Pozice</th>
-            <th scope="col">Poznámka 2</th>
+            <th scope="col">Doplňující údaj</th>
             <th scope="col"></th>
         </tr>
         </thead>