commit 20b702b048b4017bd5596e25dd53c7568692fd1e
Author: Milan Vacek <vacekm@students.zcu.cz>
Date:   Sat Apr 24 19:06:25 2021 +0200

    Bug #8651 Připravit text "Jak hledat"

diff --git a/application/manual.php b/application/manual.php
new file mode 100644
index 0000000..d1b5dc2
--- /dev/null
+++ b/application/manual.php
@@ -0,0 +1,37 @@
+<?php
+session_start();
+?>
+
+<!doctype html>
+
+<html >
+<head>
+    <meta charset="utf-8">
+    <title>Dalimilova kronika</title>
+    <!-- css -->
+    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css">
+    <link rel="stylesheet" href="view/style.css?<?php echo date('l jS \of F Y h:i:s A'); ?>">
+    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
+
+    <!-- jQuery library -->
+    <script src="https://code.jquery.com/jquery-3.1.1.slim.min.js"></script>
+    <script src="https://cdnjs.cloudflare.com/ajax/libs/tether/1.4.0/js/tether.min.js"></script>
+
+    <!-- JavaScript -->
+    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-alpha.6/js/bootstrap.min.js"></script>
+</head>
+<body>
+
+<div class="container-fluid">
+    <?php include "./view/header.html" ?>
+    <?php include "./view/menu.php" ?>
+
+    <div class="row app-content">
+        <div class="col-xs-12 col-sm-10 p-4 content d-flex">
+            <?php include "./view/manualContent.php" ?>
+        </div>
+    </div>
+    <?php include "./view/footer.html" ?>
+</div>
+</body>
+</html>
\ No newline at end of file
diff --git a/application/model/DB.php b/application/model/DB.php
index eee4aff..76360ac 100644
--- a/application/model/DB.php
+++ b/application/model/DB.php
@@ -419,7 +419,6 @@ function update(){
 }
 
 function insert(){
-  print_r($_POST);
 // ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||| Tabulka dd_lemma |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
     $query = "SELECT id FROM dd_lemma
               WHERE lemma = :lemma;";
@@ -733,4 +732,4 @@ define('DB_HOST', 'localhost');
 define('DB_NAME', 'dalim2');
 define('DB_CHARSET', 'utf8');
 define('DB_USER', 'postgres');
-define('DB_PASSWORD', 'a');
\ No newline at end of file
+define('DB_PASSWORD', 'MVcesko98');
\ No newline at end of file
diff --git a/application/view/manualContent.php b/application/view/manualContent.php
new file mode 100644
index 0000000..c81a141
--- /dev/null
+++ b/application/view/manualContent.php
@@ -0,0 +1,162 @@
+<h1>Vyhledávání</h1>
+<h2>Základní možnosti</h2>
+<p>Vyhledávání je možné dle libovolných z níže uvedených parametrů. Je možné vybrat jeden nebo více parametrů a vyhledávání zobrazí poze výsledky, jež splňují všechny podmínky. Při vybrání specifických parametrů se zobrazí rozšiřující možnosti pro bližší upřesnění požadavků. U parametrů, které zobrazí tyto rozšiřující možnosti, bude tato skutečnost zdůrazněna níže v této kapitole.</p>
+<h3>Lemma</h3>
+<p>Toto vyhledávací políčko umožní vyhledávání podle sloupce lemma. Je možné zadat samotné počáteční písmeno, počáteční část slova nebo slovo celé. V případě, že výrazem, který bude zadán, je očekáván právě jeden znak, je možné použít operátor <b>_</b>. Pokud má hledaný výzar předcházet libovolný počet znaků, je možné použít operátor <b>%</b>.</p>
+<h3>Slovní tvar</h3>
+<p>Jedná se opět o otevřené políčko pro zadávání, ovšem s velkým rozdílem oproti vyhledávání lemmy. Toto políčko hledá ve sloupci Slovní tvar pouze přesné shody.</p>
+<h3>Rukopisný pramen</h3>
+<p>Toto kritérium je zadané pomocí rozbalovacího seznamu. V tomto seznamu jsou vyzobrazeny všechny prameny, jež databáze obsahuje. Je možné vybrat libovolné množství pramenů současně, přičemž při nevyplnění tohoto políčka systém automaticky bere v potaz všechny prameny. Po výběru pramenů systém najde všechny záznamy, které se nachází aspoň v jednom z vybraných pramenů. </p>
+<h3>Pozice</h3>
+<p> Toto číselné kritérium určuje pozici záznamu v dokumentu a lze zadat následujícími třemi způsoby. První způsob je zadat pouze číselnou hodnotu. V tomto případě se systém pokusí najít všechny záznamy, jejichž číselná hodnota před lomítkem je stejná. V opačném případě je možné zadat číselnou hodnotu předcházenou znakem <b>/</b>. Výsledek této operace bude vypsání všech záznamů, jež  mají zadanou hodnotu na druhé pozici, za lomítkem. Poslední způsob je zadání celé pozice, v jehož případě systém vyhledá pouze danou pozici. Tímto způsobem lze také zadat element na třetí pozici.</p>
+<h3>Poznámka 2</h3>
+<p>Toto kritérium porovná zadaný text s obsahem sloupce Poznámka 2. Pokud je zadán pouze text nebo část textu, systém zaháji hledání této části od začátku slova ve sloupci. Pokud je požadováno, aby text předcházel právě jeden znak lze použít operátor <b>_</b>. V opačném případě kdy vyžadováno, aby text předcházelo nula až neomezeně znaků, lze použít operátor <b>%</b>.</p>
+<h3>Slovní druh</h3>
+<p>Slovní druh lze vybrat z rozbalovacího seznamu. Tato volba nejen ovlivní výsledky vyhledávání, ale také <b>umožňí volbu pokročilých možností</b>. Tyty možnosti jsou popsány v tabulce v kapitole <b>Pokročilé možnosti</b>.</p>
+
+<h2>Pokročilé možnosti</h2>
+<h3>Slovní druh</h3>
+<table>
+<tr>
+	<td>Slovní druh</td>
+	<td>Pád</td>
+	<td>Číslo</td>
+	<td>Rod</td>
+	<td>Tvar</td>
+	<td>Stupeň</td>
+	<td>Druh</td>
+	<td>Osoba</td>
+	<td>Způsob</td>
+	<td>Čas</td>
+	<td>Slovesný rod</td>
+	<td>Vid</td>
+	<td>Neurčitý Slovesný Tvar</td>
+	<td>Typ</td>
+</tr>
+<tr>
+	<td>Substantivum </td>
+	<td>Ano</td>
+	<td>Ano</td>
+	<td>Ano</td>
+	<td>Ne</td>
+	<td>Ne</td>
+	<td>Ne</td>
+	<td>Ne</td>
+	<td>Ne</td>
+	<td>Ne</td>
+	<td>Ne</td>
+	<td>Ne</td>
+	<td>Ne</td>
+	<td>Ne</td>
+</tr>
+<tr>
+	<td>Adjektivum</td>
+	<td>Ano</td>
+	<td>Ano</td>
+	<td>Ano</td>
+	<td>Ano</td>
+	<td>Ano</td>
+	<td>Ne</td>
+	<td>Ne</td>
+	<td>Ne</td>
+	<td>Ne</td>
+	<td>Ne</td>
+	<td>Ne</td>
+	<td>Ne</td>
+	<td>Ne</td>
+</tr>
+<tr>
+	<td>Pronomen</td>
+	<td>Ano</td>
+	<td>Ano</td>
+	<td>Ano</td>
+	<td>Ne</td>
+	<td>Ano</td>
+	<td>Ne</td>
+	<td>Ne</td>
+	<td>Ne</td>
+	<td>Ne</td>
+	<td>Ne</td>
+	<td>Ne</td>
+	<td>Ne</td>
+	<td>Ne</td>
+</tr>
+	<td>Numeralie</td>
+	<td>Ano</td>
+	<td>Ano</td>
+	<td>Ano</td>
+	<td>Ne</td>
+	<td>Ne</td>
+	<td>Ne</td>
+	<td>Ne</td>
+	<td>Ne</td>
+	<td>Ne</td>
+	<td>Ne</td>
+	<td>Ne</td>
+	<td>Ne</td>
+	<td>Ne</td>
+<tr>
+	<td>Verbum</td>
+	<td>Ano</td>
+	<td>Ano</td>
+	<td>Ano</td>
+	<td>Ne</td>
+	<td>Ne</td>
+	<td>Ne</td>
+	<td>Ano</td>
+	<td>Ano</td>
+	<td>Ano</td>
+	<td>Ano</td>
+	<td>Ano</td>
+	<td>Ano</td>
+	<td>Ne</td>
+</tr>
+<tr>
+	<td>Adverbium</td>
+	<td>Ne</td>
+	<td>Ne</td>
+	<td>Ne</td>
+	<td>Ne</td>
+	<td>Ano</td>
+	<td>Ne</td>
+	<td>Ne</td>
+	<td>Ne</td>
+	<td>Ne</td>
+	<td>Ne</td>
+	<td>Ne</td>
+	<td>Ne</td>
+	<td>Ne</td>
+</tr>
+<tr>
+	<td>Prepozice</td>
+	<td>Ano</td>
+	<td>Ne</td>
+	<td>Ne</td>
+	<td>Ne</td>
+	<td>Ne</td>
+	<td>Ne</td>
+	<td>Ne</td>
+	<td>Ne</td>
+	<td>Ne</td>
+	<td>Ne</td>
+	<td>Ne</td>
+	<td>Ne</td>
+	<td>Ne</td>
+</tr>
+<tr>
+	<td>Konjunkce</td>
+	<td>Ne</td>
+	<td>Ne</td>
+	<td>Ne</td>
+	<td>Ne</td>
+	<td>Ne</td>
+	<td>Ne</td>
+	<td>Ne</td>
+	<td>Ne</td>
+	<td>Ne</td>
+	<td>Ne</td>
+	<td>Ne</td>
+	<td>Ne</td>
+	<td>Ano</td>
+</tr>
+</table>
\ No newline at end of file
diff --git a/application/view/menu.php b/application/view/menu.php
index 72c4635..c7b84cf 100644
--- a/application/view/menu.php
+++ b/application/view/menu.php
@@ -11,5 +11,6 @@
             }
         ?>
         <a class="my-auto px-4 py-1 <?php echo (strstr($_SERVER['PHP_SELF'],'/settings.php') ? 'active' : '');?>" href="#" data-toggle="modal" data-target="#settings-modal" id="modalSettingsHref">Nastavení</a>
+        <a class="px-4 py-1 <?php echo (strstr($_SERVER['PHP_SELF'],'/manual.php') ? 'active' : '');?>" href="manual.php">Manuál</a>
     </div>
 </div>
\ No newline at end of file