commit 23e143e08f0058576c04e5c7db6ad14c36913a57
Author: Milan Vacek <vacekm@students.zcu.cz>
Date:   Sat May 22 22:07:41 2021 +0200

    Bug #8909 Text má špatné zalamováníe

diff --git a/application/view/contents/indexContent.html b/application/view/contents/indexContent.html
index 67e1a85..aeebbff 100644
--- a/application/view/contents/indexContent.html
+++ b/application/view/contents/indexContent.html
@@ -1,11 +1,11 @@
 <div class="col-xs-12 col-sm-10 m-auto">
-    Internetová aplikace zpřístupňuje badatelské veřejnosti Index slov a tvarů Dalimilovy kroniky.  Byla vytvořena řešitelským týmem studentů katedry informatiky a výpočetní techniky Fakulty aplikovaných věd Západočeské univerzity v Plzni, vedeným Bc. Ondřejem Drtinou pod gescí doc. Ing. Přemysla Brady, MSc, Ph.D. Vychází z výsledků projektů, které byly v letech 2013–2020 řešeny studenty katedry českého jazyka a literatury Fakulty pedagogické ZČU v Plzni pod vedením PhDr. Evy Pasáčkové, CSc., a Mgr. Martiny Spěváčkové, Ph.D. Hlavním výsledkem těchto projektů bylo vydání indexu v tištěné podobě (<span style="font-style: italic">Staročeská kronika tak řečeného Dalimila. Index slov a tvarů. 1. část – substantiva, adjektiva</span>. Plzeň: ZČU 2013, <span style="font-style: italic">2. část – slovesa</span>. Plzeň: ZČU 2015, <span style="font-style: italic">3. část – zájmena, číslovky, neohebné slovní druhy</span>. Plzeň: ZČU 2020). Nedílnou a velmi důležitou součástí řešení bylo vytvoření anotačního editoru, na jehož základě byla zpracována finální podoba pro tisk. Zásadní podporou pro zpracování bylo vytvoření dvou elektronických databází. Tvůrcem byl Ing. Tomáš Brychcín, Ph.D.
+    Internetová aplikace zpřístupňuje badatelské veřejnosti Index slov a tvarů Dalimilovy kroniky.  Byla vytvořena řešitelským týmem studentů katedry informatiky a výpočetní techniky Fakulty aplikovaných věd Západočeské univerzity v&nbsp;Plzni, vedeným Bc. Ondřejem Drtinou pod&nbsp;gescí doc. Ing. Přemysla Brady, MSc, Ph.D. Vychází z&nbsp;výsledků projektů, které byly v&nbsp;letech 2013–2020 řešeny studenty katedry českého jazyka a literatury Fakulty pedagogické ZČU v&nbsp;Plzni pod&nbsp;vedením PhDr. Evy Pasáčkové, CSc., a Mgr. Martiny Spěváčkové, Ph.D. Hlavním výsledkem těchto projektů bylo vydání indexu v&nbsp;tištěné podobě (<span style="font-style: italic">Staročeská kronika tak řečeného Dalimila. Index slov a tvarů. 1. část – substantiva, adjektiva</span>. Plzeň: ZČU 2013, <span style="font-style: italic">2. část – slovesa</span>. Plzeň: ZČU 2015, <span style="font-style: italic">3. část – zájmena, číslovky, neohebné slovní druhy</span>. Plzeň: ZČU 2020). Nedílnou a velmi důležitou součástí řešení bylo vytvoření anotačního editoru, na&nbsp;jehož základě byla zpracována finální podoba pro&nbsp;tisk. Zásadní podporou pro&nbsp;zpracování bylo vytvoření dvou elektronických databází. Tvůrcem byl Ing. Tomáš Brychcín, Ph.D.
     <br /><br />
-    Řešitelský tým studentů Fakulty aplikovaných věd ve složení Bc. Ondřej Drtina, Bc. Ondřej Anděl, Bc. Tomáš Pašek a Bc. Milan Vacek tyto pracovní databáze sloučil a vytvořil internetovou aplikaci, která data zpřístupňuje všem uživatelům na webu.
+    Řešitelský tým studentů Fakulty aplikovaných věd ve&nbsp;složení Bc. Ondřej Drtina, Bc. Ondřej Anděl, Bc. Tomáš Pašek a Bc. Milan Vacek tyto pracovní databáze sloučil a vytvořil internetovou aplikaci, která data zpřístupňuje všem uživatelům na&nbsp;webu.
     <br /><br />
-    Projekty byly podpořeny vnitřní grantovou soutěží Západočeské univerzity v Plzni.
+    Projekty byly podpořeny vnitřní grantovou soutěží Západočeské univerzity v&nbsp;Plzni.
     <br /><br /><br />
-    V případě použití dat z této stránky lze použít citace :
+    V případě použití dat z&nbsp;této stránky lze použít citace :
     <br />
     Staročeská kronika tak řečeného Dalimila. Databáze slov a tvarů [online]. Fakulta pedagogická ZČU, katedra českého jazyka a literatury. Verze dat 1.9.21 [cit. 20. 6. 2020]. Dostupné z:  ???
 </div>
\ No newline at end of file
diff --git a/application/view/contents/manualContent.html b/application/view/contents/manualContent.html
index b03f982..d965085 100644
--- a/application/view/contents/manualContent.html
+++ b/application/view/contents/manualContent.html
@@ -10,7 +10,7 @@
     <h2>Morfologické zkratky</h2>
     <p>Morfologická charakteristika je tvořena dvanácti znaky. Pomlčka znamená, že tvar danou morfologickou kategorii nevyjadřuje. Význam ostatních znaků viz dále.</p>
     <h3>Slovní druh</h3>
-    <p>Znak na první pozici označuje slovní druh vyhledávaného tvaru:</p>
+    <p>Znak na&nbsp;první pozici označuje slovní druh vyhledávaného tvaru: </p>
     <ul>
         <li>N - substantivum </li>
         <li>A - adjektivum </li>
@@ -25,7 +25,7 @@
     </ul>
 
     <h3>Pád</h3>
-    <p>Znak na druhé pozici je tvořen číslem 1–7 označujícím pád:</p>
+    <p>Znak na&nbsp;druhé pozici je tvořen číslem 1–7 označujícím pád: </p>
     <ul>
         <li>1 - nominativ </li>
         <li>2 - genitiv </li>
@@ -36,7 +36,7 @@
         <li>7 - instrumentál </li>
     </ul>
     <h3>Číslo</h3>
-    <p>Znak na třetí pozici označuje kategorii čísla:</p>
+    <p>Znak na&nbsp;třetí pozici označuje kategorii čísla: </p>
     <ul>
         <li>S - singulár </li>
         <li>P - plurál </li>
@@ -44,7 +44,7 @@
     </ul>
 
     <h3>Rod</h3>
-    <p>Znak na čtvrté pozici označuje kategorii jmenného rodu:</p>
+    <p>Znak na&nbsp;čtvrté pozici označuje kategorii jmenného rodu: </p>
     <ul>
         <li>M - maskulinum, </li>
         <li>F - femininum </li>
@@ -52,7 +52,7 @@
     </ul>
 
     <h3>Stupeň</h3>
-    <p>Znak na páté pozici označuje stupeň tvaru adjektiva nebo adverbia:</p>
+    <p>Znak na&nbsp;páté pozici označuje stupeň tvaru adjektiva nebo adverbia: </p>
     <ul>
         <li>1 - pozitiv </li>
         <li>2 - komparativ  </li>
@@ -60,15 +60,15 @@
     </ul>
 
     <h3>Tvar deklinace</h3>
-    <p>Znak na šesté pozici udává deklinační typ adjektiv:</p>
+    <p>Znak na&nbsp;šesté pozici udává deklinační typ adjektiv: </p>
     <ul>
         <li>C - tvar deklinace složené </li>
         <li>N - tvar deklinace jmenné </li>
     </ul>
     <h3>Tvar substantivizovaného adjektiva</h3>
-    <p>Znak S na sedmé pozici označuje tvar substantivizovaného adjektiva</p>
+    <p>Znak S na&nbsp;sedmé pozici označuje tvar substantivizovaného adjektiva </p>
     <h3>Proměnný parametr</h3>
-    <p>Osmá pozice je obsazena proměnným parametrem. Ve vztahu ke slovnímu druhu mají znaky na této pozici mají různý význam:</p>
+    <p>Osmá pozice je obsazena proměnným parametrem. Ve vztahu ke&nbsp;slovnímu druhu mají znaky na&nbsp;této pozici mají různý význam: </p>
 
     <h4>Substantivum </h4>
     <p>Parametr se neudává </p>
@@ -121,9 +121,9 @@
     <h4>Partikule</h4>
     <p>Parametr se neudává </p>
 
-    <p>Znaky na pozicích 9–12 jsou vyhrazeny slovesným morfologickým kategoriím.</p>
+    <p>Znaky na&nbsp;pozicích 9–12 jsou vyhrazeny slovesným morfologickým kategoriím. </p>
     <h3>Osoba</h3>
-    <p>Číselný znak na deváté pozici označuje kategorii slovesné osoby:</p>
+    <p>Číselný znak na&nbsp;deváté pozici označuje kategorii slovesné osoby: </p>
 
     <ul>
         <li>1 - 1. osoba </li>
@@ -132,7 +132,7 @@
     </ul>
 
     <h3>Čas</h3>
-    <p>Znak na desáté pozici označuje kategorii a tvar slovesného času:</p>
+    <p>Znak na&nbsp;desáté pozici označuje kategorii a tvar slovesného času: </p>
     <ul>
         <li>P - prézens </li>
         <li>A - aorist  </li>
@@ -143,14 +143,14 @@
     </ul>
 
     <h3>Slovesný Rod</h3>
-    <p>Znak na jedenácté pozici označuje slovesný rod:</p>
+    <p>Znak na&nbsp;jedenácté pozici označuje slovesný rod:</p>
     <ul>
         <li>P - pasivum </li>
         <li>A - aktivum  </li>
     </ul>
 
     <h3>Slovesný Vid</h3>
-    <p>Znak na dvanácté pozici označuje kategorii slovesného vidu:</p>
+    <p>Znak na&nbsp;dvanácté pozici označuje kategorii slovesného vidu: </p>
     <ul>
         <li>P - dokonavé sloveso </li>
         <li>I - nedokonavé sloveso  </li>
@@ -181,25 +181,25 @@
     <img class="my-3" src="view/img/filter.gif" alt="Manual vyhledávání" width="100%">
 
     <h2>Základní možnosti vyhledávání</h2>
-    <p>Vyhledávání je možné podle parametrů uvedených níže. Je možno zvolit jeden nebo kombinaci více parametrů. Budou zobrazeny pouze výsledky, které splňují všechny zadané podmínky. Budou-li zvoleny specifické parametry (viz dále), zobrazí se rozšiřující nabídka volby.</p>
+    <p>Vyhledávání je možné podle&nbsp;parametrů uvedených níže. Je možno zvolit jeden nebo kombinaci více parametrů. Budou zobrazeny pouze výsledky, které splňují všechny zadané podmínky. Budou-li zvoleny specifické parametry (viz dále), zobrazí se&nbsp;rozšiřující nabídka volby.</p>
 
     <h3>Lemma</h3>
-    <p>Toto vyhledávací políčko umožňuje vyhledávání podle lemmatu. Lze zadat pouze počáteční písmeno, počáteční část slova nebo slovo celé. V případě, kdy zadaný výraz nemá být na začátku slova, lze na jeho začátek připsat operátor <b>%</b>. Pokud zadaný výraz nemá být na začátku slova a zároveň je třeba počet znaků omezit, tak lze použít operátor <b>_</b>. Každé použití tohoto operátoru reprezentuje jedno libovolné písmeno. </p>
+    <p>Toto vyhledávací políčko umožňuje vyhledávání podle&nbsp;lemmatu. Lze zadat pouze počáteční písmeno, počáteční část slova nebo slovo celé. V případě, kdy zadaný výraz nemá být na&nbsp;začátku slova, lze na&nbsp;jeho začátek připsat operátor <b>%</b>. Pokud zadaný výraz nemá být na&nbsp;začátku slova a zároveň je třeba počet znaků omezit, tak lze použít operátor <b>_</b>. Každé použití tohoto operátoru reprezentuje jedno libovolné písmeno. </p>
 
     <h3>Slovní tvar</h3>
-    <p>Jedná se opět o otevřené políčko pro vyhledávání – vyhledává se podle přesně zadaného tvaru slova.</p>
+    <p>Jedná se&nbsp;opět o&nbsp;otevřené políčko pro&nbsp;vyhledávání – vyhledává se&nbsp;podle&nbsp;přesně zadaného tvaru slova. </p>
 
     <h3>Rukopisný pramen</h3>
-    <p>Vyhledávání dokladů podle rukopisného pramene funguje na základě rozbalovacího seznamu. Jsou v něm uvedeny všechny zpracované prameny. Pro vyhledávání lze zvolit libovolný počet pramenů současně. Systém najde všechny doklady, které se nachází alespoň v jednom z vybraných pramenů. Nebude-li toto políčko vyplněno, systém automaticky vybere doklady ze všech pramenů.</p>
+    <p>Vyhledávání dokladů podle&nbsp;rukopisného pramene funguje na&nbsp;základě rozbalovacího seznamu. Jsou v&nbsp;něm uvedeny všechny zpracované prameny. Pro vyhledávání lze zvolit libovolný počet pramenů současně. Systém najde všechny doklady, které se&nbsp;nachází alespoň v&nbsp;jednom z&nbsp;vybraných pramenů. Nebude-li toto políčko vyplněno, systém automaticky vybere doklady ze&nbsp;všech pramenů.</p>
 
     <h3>Pozice</h3>
-    <p>Toto číselné kritérium uvádí pozici dokladu v textových pramenech kroniky (tzv. lokaci dle edice). Lze zadat číslo kapitoly, tj. číselnou hodnotu před lomítkem (nejméně dvoumístnou, např. 00). V tomto případě systém vyhledá všechny záznamy podle čísla kapitoly. Rovněž lze zadat pouze číselnou hodnotu za lomítkem – systém pak vyhledá všechny záznamy podle čísla verše. Třetím možným způsobem je zadání úplné pozice (lokace), tj. hodnoty před lomítkem i za ním (číslo kapitoly i číslo verše, např. 01/05).</p>
+    <p>Toto číselné kritérium uvádí pozici dokladu v&nbsp;textových pramenech kroniky (tzv. lokaci dle&nbsp;edice). Lze zadat číslo kapitoly, tj. číselnou hodnotu před&nbsp;lomítkem (nejméně dvoumístnou, např. 00). V tomto případě systém vyhledá všechny záznamy podle&nbsp;čísla kapitoly. Rovněž lze zadat pouze číselnou hodnotu za&nbsp;lomítkem – systém pak vyhledá všechny záznamy podle&nbsp;čísla verše. Třetím možným způsobem je zadání úplné pozice (lokace), tj. hodnoty před&nbsp;lomítkem i za&nbsp;ním (číslo kapitoly i číslo verše, např. 01/05).</p>
 
     <h3>Doplňující údaj</h3>
-    <p>Jako doplňující údaj lze vyhledat odkaz na variantní formu lemmatu, a to jak na variantu formy, tak na variantu slovnědruhové charakteristiky, a u sloves údaj o doložené konstrukční spojitelnosti. Pro vyhledání formální varianty je třeba zadat dotaz „srov.“. Pro vyhledání slovesné vazby je třeba zadat dotaz obsahující náležitou pádovou otázku či příslovce (např. „co“, „kam“). Text dotazu lze zadat úplný nebo jen jeho část. Má-li zadanému textu předcházet jeden znak, lze použít operátor <b>_</b>. Má-li předcházet nula až neomezeně znaků, lze použít operátor <b>%</b>.</p>
+    <p>Jako doplňující údaj lze vyhledat odkaz na&nbsp;variantní formu lemmatu, a to jak na&nbsp;variantu formy, tak na&nbsp;variantu slovnědruhové charakteristiky, a u&nbsp;sloves údaj o&nbsp;doložené konstrukční spojitelnosti. Pro vyhledání formální varianty je třeba zadat dotaz „srov.“. Pro vyhledání slovesné vazby je třeba zadat dotaz obsahující náležitou pádovou otázku či příslovce (např. „co“, „kam“). Text dotazu lze zadat úplný nebo jen jeho část. Má-li zadanému textu předcházet jeden znak, lze použít operátor <b>_</b>. Má-li předcházet nula až neomezeně znaků, lze použít operátor <b>%</b>. </p>
 
     <h3>Slovní druh</h3>
-    <p>Slovní druh lze vybrat z rozbalovacího seznamu. Volbou slovního druhu se zároveň otevře nabídka volby na základě dalších specifických kritérií, tj. pokročilých možností vyhledávání. Popis těchto možností viz tabulka <b>Pokročilé možnosti</b></p>
+    <p>Slovní druh lze vybrat z&nbsp;rozbalovacího seznamu. Volbou slovního druhu se&nbsp;zároveň otevře nabídka volby na&nbsp;základě dalších specifických kritérií, tj. pokročilých možností vyhledávání. Popis těchto možností viz tabulka <b>Pokročilé možnosti</b></p>
 
     <h2>Pokročilé možnosti</h2>
     <table class="mb-4 d-flex justify-content-center">
diff --git a/application/view/contents/materialContent.html b/application/view/contents/materialContent.html
index 3678cfd..604354e 100644
--- a/application/view/contents/materialContent.html
+++ b/application/view/contents/materialContent.html
@@ -1,3 +1,3 @@
 <div class="col-xs-12 col-sm-10 m-auto">
-    Webová aplikace indexu slov a tvarů Staročeské kroniky tak řečeného Dalimila zpřístupňuje slova a slovní tvary, které jsou doloženy v dochovaných textových pramenech této staročeské památky. Index vychází z lístkové kartotéky slov vytvořené prof. Jiřím Daňhelkou (54 482 lístky) v souvislosti s přípravou vydání edice (Daňhelka, J.; Hádek, K.; Kvítková, N.: <span style="font-style: italic">Staročeská kronika tak řečeného Dalimila. 1, 2 Vydání textu a veškerého textového materiálu</span>. Praha: Academia: 1988). Zahrnuje všechna doložená slova a jejich slovní tvary, a to v transkribované podobě, jejich morfologickou charakteristiku, údaj o textových pramenech, v nichž se tvary nachází, přesnou lokaci (číslo kapitoly, číslo verše). V položce doplňující údaj je uveden případný odkaz k variantní formě lexému, u slovesných tvarů je údaj o doložené konstrukční spojitelnosti (valenci), výjimečně také o spojitelnosti sémantické. Poznámky připojené k jednotlivým tvarům upozorňují na písařskou či opisovačskou chybu nebo upozorňují na úplné čtení dokladu.
+    Webová aplikace indexu slov a tvarů Staročeské kroniky tak řečeného Dalimila zpřístupňuje slova a slovní tvary, které jsou doloženy v&nbsp;dochovaných textových pramenech této staročeské památky. Index vychází z&nbsp;lístkové kartotéky slov vytvořené prof. Jiřím Daňhelkou (54 482 lístky) v&nbsp;souvislosti s&nbsp;přípravou vydání edice (Daňhelka, J.; Hádek, K.; Kvítková, N.: <span style="font-style: italic">Staročeská kronika tak řečeného Dalimila. 1, 2 Vydání textu a veškerého textového materiálu</span>. Praha: Academia: 1988). Zahrnuje všechna doložená slova a jejich slovní tvary, a to v&nbsp;transkribované podobě, jejich morfologickou charakteristiku, údaj o&nbsp;textových pramenech, v&nbsp;nichž se&nbsp;tvary nachází, přesnou lokaci (číslo kapitoly, číslo verše). V položce doplňující údaj je uveden případný odkaz k&nbsp;variantní formě lexému, u&nbsp;slovesných tvarů je údaj o&nbsp;doložené konstrukční spojitelnosti (valenci), výjimečně také o&nbsp;spojitelnosti sémantické. Poznámky připojené k&nbsp;jednotlivým tvarům upozorňují na&nbsp;písařskou či opisovačskou chybu nebo upozorňují na&nbsp;úplné čtení dokladu.
 </div>
\ No newline at end of file
diff --git a/application/view/contents/userManualContent.html b/application/view/contents/userManualContent.html
index 25d3a53..e74604d 100644
--- a/application/view/contents/userManualContent.html
+++ b/application/view/contents/userManualContent.html
@@ -1,22 +1,22 @@
 <div class="col-xs-12 col-sm-10 m-auto">
     <h1>Manuál správy uživatelů</h1>
     <h2>Vytvoření uživatele</h2>
-    <p>Na stránce lze vidět tabulku uživatelů, kde je zobrazeno jméno a role uživatele. Na vrcholu této tabulky lze vidět tlačítko "+". Po kliknutí na toto tlačitko se otevře dialog pro tvorbu uživatele.</p>
+    <p>Na stránce lze vidět tabulku uživatelů, kde je zobrazeno jméno a role uživatele. Na vrcholu této tabulky lze vidět tlačítko "+". Po kliknutí na&nbsp;toto tlačitko se&nbsp;otevře dialog pro&nbsp;tvorbu uživatele. </p>
     <h3>Uživatelské jméno</h3>
-    <p>Uživatelské jméno je jméno, pod kterým se bude uživatel přihlašovat, může obsahovat libovolné písmena, čísla a speciální znaky s výjimkou netisknutelných znaků</p>
+    <p>Uživatelské jméno je jméno, pod&nbsp;kterým se&nbsp;bude uživatel přihlašovat, může obsahovat libovolné písmena, čísla a speciální znaky s&nbsp;výjimkou netisknutelných znaků.</p>
     <h3>Heslo</h3>
-    <p>Heslo, se kterým se bude uživatel přihlašovat, může obsahovat libovolné písmena, čísla a speciální znaky s výjimkou netisknutelných znaků. Jako jediný parametr je nepovinný, <em style="color: #ff0000">nicméně jeho opomění představuje vážné bezpečností riziko a je vysoce dopuručené parametr vyplnit.</em></p>
+    <p>Heslo, se&nbsp;kterým se&nbsp;bude uživatel přihlašovat, může obsahovat libovolné písmena, čísla a speciální znaky s&nbsp;výjimkou netisknutelných znaků. Jako jediný parametr je nepovinný, <em style="color: #ff0000">nicméně jeho opomění představuje vážné bezpečností riziko a je vysoce dopuručené parametr vyplnit.</em></p>
     <h3>Práva</h3>
     <h4>Admin</h4>
-    <p>Admin je uživatel s maximálními právy. Může přijímat žádosti o úpravu databáze, ale zároveň může také vytvářet, spravovat a <em style="color: #ff0000"> mazat ostatní uživatele a proto je důrazně doporučeno udělovat tuto roli pouze uživatelům, jež jsou důvěryhodní a správa uživatelů bude náplní jejich práce.</em> V opačném případě stojí za zvážení role editor,</p>
+    <p>Admin je uživatel s&nbsp;maximálními právy. Může přijímat žádosti o&nbsp;úpravu databáze, ale zároveň může také vytvářet, spravovat a <em style="color: #ff0000"> mazat ostatní uživatele a proto je důrazně doporučeno udělovat tuto roli pouze uživatelům, jež jsou důvěryhodní a správa uživatelů bude náplní jejich práce.</em> V opačném případě stojí za&nbsp;zvážení role editor.</p>
     <h4>Editor</h4>
-    <p>Editor je uživatel, jež může přijímat žádosti o úpravu databáze. Tato role je doporučena pro většinu uživatelů, jež budou součástí projektu, jelikož nehrozí smazání ostatních uživatelů.  <em style="color: #ff0000">Je třeba brát na vědomí, že tato role stále umožňuje těžké požkození, či naprosté smazání dat.</em></p>
+    <p>Editor je uživatel, jež může přijímat žádosti o&nbsp;úpravu databáze. Tato role je doporučena pro&nbsp;většinu uživatelů, jež budou součástí projektu, jelikož nehrozí smazání ostatních uživatelů.  <em style="color: #ff0000">Je třeba brát na&nbsp;vědomí, že tato role stále umožňuje těžké požkození, či naprosté smazání dat.</em></p>
     <img class="my-3" src="view/img/users.gif" alt="Manual vyhledávání" width="100%">
 
     <h2>Správa uživatele</h2>
-    <p>Fukcionalita popsaná níže je dostupná pouze pokud jste přihlášen/a <b>pod účtem s právy admina.</b></p>
+    <p>Fukcionalita popsaná níže je dostupná pouze pokud jste přihlášen/a <b>pod účtem s&nbsp;právy admina. </b></p>
     <h3>Editace uživatele</h3>
-    <p>Ve třetím sloupci tabulky je možné nalézt dvě tlačitka u všech uživatelů, kromě Vašeho aktuálního účtu. První tlačitko se znakem <i class='fa fa-pencil'></i> slouží k editaci uživatele. Po kliknutí toho tlačítko vyskočí vyskakovací okénko, kde je možné změnit práva uživatele. Pro bližší podrobnosti k jednotlivým rolím lze náhlednou do sekce o právech v kapitole o vytváření uživatele.</p>
+    <p>Ve třetím sloupci tabulky je možné nalézt dvě tlačitka u&nbsp;všech uživatelů, kromě&nbsp;Vašeho aktuálního účtu. První tlačitko se&nbsp;znakem <i class='fa fa-pencil'></i> slouží k&nbsp;editaci uživatele. Po kliknutí toho tlačítko vyskočí vyskakovací okénko, kde je možné změnit práva uživatele. Pro bližší podrobnosti k&nbsp;jednotlivým rolím lze náhlednou do&nbsp;sekce o&nbsp;právech v&nbsp;kapitole o&nbsp;vytváření uživatele.</p>
     <h3>Mazání uživatele</h3>
-    <p>Mazání uživatele se také nachází ve třetím sloupci tabulky. Zde je možné kliknout na tlačítko <i class='fa fa-trash'></i>. Touto akcí se otevře dialogové okénko, které vyžaduje potvrzení. Po kliknutí na tlačítko <i>Ano</i> bude uživatel <em style="color: #ff0000">nenávratně smazán</em>.</p>
+    <p>Mazání uživatele se&nbsp;také nachází ve&nbsp;třetím sloupci tabulky. Zde je možné kliknout na&nbsp;tlačítko <i class='fa fa-trash'></i>. Touto akcí se&nbsp;otevře dialogové okénko, které vyžaduje potvrzení. Po kliknutí na&nbsp;tlačítko <i>Ano</i> bude uživatel <em style="color: #ff0000">nenávratně smazán</em>.</p>
 </div>
\ No newline at end of file