commit 5565ff7d1610bc94e88e40a805933f6775b85e3b
Author: Anděl Ondřej <ondrej.andel@marbes.cz>
Date:   Wed Jun 2 17:49:11 2021 +0200

    Hotfix: spelling

diff --git a/application/view/contents/contactsContent.html b/application/view/contents/contactsContent.html
index 8e572dd..35a03b6 100644
--- a/application/view/contents/contactsContent.html
+++ b/application/view/contents/contactsContent.html
@@ -11,7 +11,7 @@
 <div class="col-xs-12 col-sm-10 m-auto">
     <div class="row g-0">
         <div class="col-xs-12 col-sm-4 m-auto">
-            <h3>Západočeské univerzity v Plzni</h3>
+            <h3>Západočeská univerzita v Plzni</h3>
             <h4>Fakulta pedagogická</h4>
             <h5>Katedra českého jazyka a literatury</h5>
 
diff --git a/application/view/contents/indexContent.html b/application/view/contents/indexContent.html
index 2ba561c..b89814b 100644
--- a/application/view/contents/indexContent.html
+++ b/application/view/contents/indexContent.html
@@ -1,5 +1,5 @@
 <div class="col-xs-12 col-sm-10 m-auto">
-    Internetová aplikace zpřístupňuje badatelské veřejnosti Index slov a&nbsp;tvarů Dalimilovy kroniky.  Byla vytvořena řešitelským týmem studentů katedry informatiky a&nbsp;výpočetní techniky Fakulty aplikovaných věd Západočeské univerzity v&nbsp;Plzni, vedeným Bc. Ondřejem Drtinou pod&nbsp;gescí doc. Ing. Přemysla Brady, MSc, Ph.D. Vychází z&nbsp;výsledků projektů, které byly v&nbsp;letech 2013–2020 řešeny studenty katedry českého jazyka a&nbsp;literatury Fakulty pedagogické ZČU v&nbsp;Plzni pod&nbsp;vedením PhDr. Evy Pasáčkové, CSc., a&nbsp;Mgr. Martiny Spěváčkové, Ph.D. Hlavním výsledkem těchto projektů bylo vydání indexu v&nbsp;tištěné podobě (<span style="font-style: italic">Staročeská kronika tak řečeného Dalimila. Index slov a&nbsp;tvarů. 1. část – substantiva, adjektiva</span>. Plzeň: ZČU 2013, <span style="font-style: italic">2. část – slovesa</span>. Plzeň: ZČU 2015, <span style="font-style: italic">3. část – zájmena, číslovky, neohebné slovní druhy</span>. Plzeň: ZČU 2020). Nedílnou a&nbsp;velmi důležitou součástí řešení bylo vytvoření anotačního editoru, na&nbsp;jehož základě byla zpracována finální podoba pro&nbsp;tisk. Zásadní podporou pro&nbsp;zpracování bylo vytvoření dvou elektronických databází. Tvůrcem byl Ing. Tomáš Brychcín, Ph.D.
+    Internetová aplikace zpřístupňuje badatelské veřejnosti Index slov a&nbsp;tvarů Dalimilovy kroniky.  Byla vytvořena řešitelským týmem studentů katedry informatiky a&nbsp;výpočetní techniky Fakulty aplikovaných věd Západočeské univerzity v&nbsp;Plzni, vedeným Bc. Ondřejem Drtinou pod&nbsp;gescí doc. Ing. Přemysla Brady, MSc, Ph.D. Vychází z&nbsp;výsledků studentských projektů, které byly v&nbsp;letech 2013–2020 řešeny na katedře českého jazyka a literatury Fakulty pedagogické ZČU v&nbsp;Plzni pod&nbsp;vedením PhDr. Evy Pasáčkové, CSc., a&nbsp;Mgr. Martiny Spěváčkové, Ph.D. Hlavním výsledkem těchto projektů bylo vydání indexu v&nbsp;tištěné podobě (<span style="font-style: italic">Staročeská kronika tak řečeného Dalimila. Index slov a&nbsp;tvarů. 1. část – substantiva, adjektiva</span>. Plzeň: ZČU 2013, <span style="font-style: italic">2. část – slovesa</span>. Plzeň: ZČU 2015, <span style="font-style: italic">3. část – zájmena, číslovky, neohebné slovní druhy</span>. Plzeň: ZČU 2020). Nedílnou a&nbsp;velmi důležitou součástí řešení bylo vytvoření anotačního editoru, na&nbsp;jehož základě byla zpracována finální podoba pro&nbsp;tisk. Zásadní podporou pro&nbsp;zpracování bylo vytvoření dvou elektronických databází. Tvůrcem byl Ing. Tomáš Brychcín, Ph.D.
     <br /><br />
     Řešitelský tým studentů Fakulty aplikovaných věd ve&nbsp;složení Bc. Ondřej Drtina, Bc. Ondřej Anděl, Bc. Tomáš Pašek a&nbsp;Bc. Milan Vacek tyto pracovní databáze sloučil a&nbsp;vytvořil internetovou aplikaci, která data zpřístupňuje všem uživatelům na&nbsp;webu.
     <br /><br />
diff --git a/application/view/contents/manualContent.html b/application/view/contents/manualContent.html
index 27646bc..cd28623 100644
--- a/application/view/contents/manualContent.html
+++ b/application/view/contents/manualContent.html
@@ -6,188 +6,18 @@
 
 
 <div class="col-xs-12 col-sm-10 m-auto">
-    <h1>Zkratky</h1>
-    <h2>Morfologické zkratky</h2>
-    <p>Morfologická charakteristika je tvořena dvanácti znaky. Pomlčka znamená, že tvar danou morfologickou kategorii nevyjadřuje. Význam ostatních znaků viz dále.</p>
-    <h3>Slovní druh</h3>
-    <p>Znak na&nbsp;první pozici označuje slovní druh vyhledávaného tvaru: </p>
-    <ul>
-        <li>N - substantivum </li>
-        <li>A - adjektivum </li>
-        <li>P - pronomen </li>
-        <li>C - numeralie </li>
-        <li>V - verbum </li>
-        <li>D - adverbium </li>
-        <li>R - prepozice </li>
-        <li>J - konjunkce </li>
-        <li>T - partikule </li>
-        <li>I - interjekce </li>
-    </ul>
-
-    <h3>Pád</h3>
-    <p>Znak na&nbsp;druhé pozici je tvořen číslem 1–7 označujícím pád: </p>
-    <ul>
-        <li>1 - nominativ </li>
-        <li>2 - genitiv </li>
-        <li>3 - dativ </li>
-        <li>4 - akuzativ </li>
-        <li>5 - vokativ </li>
-        <li>6 - lokál </li>
-        <li>7 - instrumentál </li>
-    </ul>
-    <h3>Číslo</h3>
-    <p>Znak na&nbsp;třetí pozici označuje kategorii čísla: </p>
-    <ul>
-        <li>S - singulár </li>
-        <li>P - plurál </li>
-        <li>D - duál </li>
-    </ul>
-
-    <h3>Rod</h3>
-    <p>Znak na&nbsp;čtvrté pozici označuje kategorii jmenného rodu: </p>
-    <ul>
-        <li>M - maskulinum, </li>
-        <li>F - femininum </li>
-        <li>N - neutrum </li>
-    </ul>
-
-    <h3>Stupeň</h3>
-    <p>Znak na&nbsp;páté pozici označuje stupeň tvaru adjektiva nebo adverbia: </p>
-    <ul>
-        <li>1 - pozitiv </li>
-        <li>2 - komparativ  </li>
-        <li>3 – superlativ </li>
-    </ul>
-
-    <h3>Tvar deklinace</h3>
-    <p>Znak na&nbsp;šesté pozici udává deklinační typ adjektiv: </p>
-    <ul>
-        <li>C - tvar deklinace složené </li>
-        <li>N - tvar deklinace jmenné </li>
-    </ul>
-    <h3>Tvar substantivizovaného adjektiva</h3>
-    <p>Znak S na&nbsp;sedmé pozici označuje tvar substantivizovaného adjektiva </p>
-    <h3>Proměnný parametr</h3>
-    <p>Osmá pozice je obsazena proměnným parametrem. Ve vztahu ke&nbsp;slovnímu druhu mají znaky na&nbsp;této pozici mají různý význam: </p>
-
-    <h4>Substantivum </h4>
-    <p>Parametr se neudává </p>
-
-    <h4>Adjektivum </h4>
-    <p>Parametr se neudává </p>
-
-    <h4>Pronomen</h4>
-    <p>Znak udává sémantickou klasifikaci zájmena:</p>
-    <ul>
-        <li>P - personale, zájmeno osobní </li>
-        <li>S - posesivum, zájmeno přivlastňovací </li>
-        <li>D - demonstrativum, zájmeno ukazovací </li>
-        <li>Q - interogativum, zájmeno tázací </li>
-        <li>J - relativum, zájmeno vztažné </li>
-        <li>Z - indefinitum, zájmeno neurčité </li>
-    </ul>
-
-    <h4>Numeralie</h4>
-    <p>Parametr se neudává </p>
-    <h4>Verbum</h4>
-    <p>Znak udává základní rozlišení slovesných tvarů určitých a&nbsp;neurčitých:</p>
-    <ul>
-        <li>F - infinitiv </li>
-        <li>D - indikativ </li>
-        <li>I - imperativ </li>
-        <li>C - kondicionál </li>
-        <li>S - supinum </li>
-        <li>E - přechodník přítomný </li>
-        <li>M - přechodník minulý </li>
-        <li>A - participium perfekta aktiva </li>
-        <li>P - participium perfekta pasiva </li>
-    </ul>
-
-    <h4>Adverbium</h4>
-    <p>Parametr se neudává </p>
-    <h4>Prepozice</h4>
-    <p>Parametr se neudává </p>
-    <h4>Konjunkce</h4>
-    <ul>
-        <li>V - větná </li>
-        <li>C - členská </li>
-        <li>N - navazovací </li>
-        <li>P - spojení s přechodníkem </li>
-    </ul>
-
-    <h4>Interjekce</h4>
-    <p>Parametr se neudává </p>
-
-    <h4>Partikule</h4>
-    <p>Parametr se neudává </p>
-
-    <p>Znaky na&nbsp;pozicích 9–12 jsou vyhrazeny slovesným morfologickým kategoriím. </p>
-    <h3>Osoba</h3>
-    <p>Číselný znak na&nbsp;deváté pozici označuje kategorii slovesné osoby: </p>
-
-    <ul>
-        <li>1 - 1. osoba </li>
-        <li>2 - 2. osoba  </li>
-        <li>3 - 3. osoba </li>
-    </ul>
-
-    <h3>Čas</h3>
-    <p>Znak na&nbsp;desáté pozici označuje kategorii a&nbsp;tvar slovesného času:</p>
-    <ul>
-        <li>P - prézens </li>
-        <li>A - aorist  </li>
-        <li>R - préteritum </li>
-        <li>I - imperfektum </li>
-        <li>H - plusquamperfektum  </li>
-        <li>F - futurum </li>
-    </ul>
-
-    <h3>Slovesný Rod</h3>
-    <p>Znak na&nbsp;jedenácté pozici označuje slovesný rod:</p>
-    <ul>
-        <li>P - pasivum </li>
-        <li>A - aktivum  </li>
-    </ul>
-
-    <h3>Slovesný Vid</h3>
-    <p>Znak na&nbsp;dvanácté pozici označuje kategorii slovesného vidu: </p>
-    <ul>
-        <li>P - dokonavé sloveso </li>
-        <li>I - nedokonavé sloveso  </li>
-    </ul>
-
-    <h2>Zkratky textových pramenů</h2>
-    <ul>
-        <li>V - rukopis Vídeňský</li>
-        <li>H - zlomky Hanušovy</li>
-        <li>Hr - zlomky Hradecké</li>
-        <li>C - rukopis Cambridžský</li>
-        <li>F - rukopis Františkánský</li>
-        <li>O - zlomek Olomoucký</li>
-        <li>S - fragment Strahovský</li>
-        <li>K - zlomky Klementinsko-Křižovnické</li>
-        <li>M - zlomky Mnichovské</li>
-        <li>L - rukopis Lobkovický</li>
-        <li>P - rukopis Pelclův</li>
-        <li>Cr - rukopis Cerronský</li>
-        <li>Fs - rukopis Fürstenberský</li>
-        <li>Z - rukopis Zebererův</li>
-        <li>Jš - vydání Pavla Ješína z Bezdězi, Praha 1620</li>
-        <li>Pl - básně připsané při Pulkavově kronice v rukopisu Litoměřickém</li>
-    </ul>
-
     <h1>Vyhledávání</h1>
 
     <img class="my-3" src="view/img/filter.gif" alt="Manual vyhledávání" width="100%">
 
     <h2>Základní možnosti vyhledávání</h2>
-    <p>Vyhledávání je možné podle&nbsp;parametrů uvedených níže. Je možno zvolit jeden nebo kombinaci více parametrů. Budou zobrazeny pouze výsledky, které splňují všechny zadané podmínky. Budou-li zvoleny specifické parametry (viz dále), zobrazí se&nbsp;rozšiřující nabídka volby.</p>
+    <p>Vyhledávání je možné podle&nbsp;parametrů uvedených níže. Je možno zvolit jeden nebo kombinaci více parametrů. Budou zobrazeny pouze výsledky, které splňují všechny zadané podmínky. Budou-li zvoleny specifické parametry (viz dále), zobrazí se&nbsp;rozšiřující nabídka volby. Vyhledávat lze bez&nbsp;přihlášení. Přilhášení je určeno pouze editorům databáze.</p>
 
     <h3>Lemma</h3>
     <p>Toto vyhledávací políčko umožňuje vyhledávání podle&nbsp;lemmatu. Lze zadat pouze počáteční písmeno, počáteční část slova nebo slovo celé. V případě, že&nbsp;zadaná skupina hlásek nemá být na&nbsp;začátku slova, lze na&nbsp;její začátek připsat operátor <b>%</b>. Je-li potřeba počet předcházejícíh znaků omezit, pak lze za&nbsp;každý znak použít operátor <b>_</b>.</p>
 
     <h3>Slovní tvar</h3>
-    <p>Jedná se&nbsp;opět o&nbsp;otevřené políčko pro&nbsp;vyhledávání – vyhledává se&nbsp;podle&nbsp;přesně zadaného tvaru slova. </p>
+    <p>Jedná se&nbsp;opět o&nbsp;otevřené políčko pro&nbsp;vyhledávání – vyhledává se&nbsp;podle&nbsp;přesně zadaného tvaru slova.</p>
 
     <h3>Rukopisný pramen</h3>
     <p>Vyhledávání dokladů podle&nbsp;rukopisného pramene funguje na&nbsp;základě rozbalovacího seznamu. Jsou v&nbsp;něm uvedeny všechny zpracované prameny. Pro vyhledávání lze zvolit libovolný počet pramenů současně. Systém najde všechny doklady, které se&nbsp;nachází alespoň v&nbsp;jednom z&nbsp;vybraných pramenů. Nebude-li toto políčko vyplněno, systém automaticky vybere doklady ze&nbsp;všech pramenů.</p>
@@ -380,4 +210,174 @@
             <td class="text-center px-4 py-2"><i class="fa fa-times required"></i></td>
         </tr>
     </table>
+
+    <h1>Zkratky</h1>
+    <h2>Morfologické zkratky</h2>
+    <p>Morfologická charakteristika je tvořena dvanácti znaky. Pomlčka znamená, že tvar danou morfologickou kategorii nevyjadřuje. Význam ostatních znaků viz dále.</p>
+    <h3>Slovní druh</h3>
+    <p>Znak na&nbsp;první pozici označuje slovní druh vyhledávaného tvaru:</p>
+    <ul>
+        <li>N - substantivum</li>
+        <li>A - adjektivum</li>
+        <li>P - pronomen</li>
+        <li>C - numerále</li>
+        <li>V - verbum</li>
+        <li>D - adverbium</li>
+        <li>R - prepozice</li>
+        <li>J - konjunkce</li>
+        <li>T - partikule</li>
+        <li>I - interjekce</li>
+    </ul>
+
+    <h3>Pád</h3>
+    <p>Znak na&nbsp;druhé pozici je tvořen číslem 1–7 označujícím pád:</p>
+    <ul>
+        <li>1 - nominativ</li>
+        <li>2 - genitiv</li>
+        <li>3 - dativ</li>
+        <li>4 - akuzativ</li>
+        <li>5 - vokativ</li>
+        <li>6 - lokál</li>
+        <li>7 - instrumentál</li>
+    </ul>
+    <h3>Číslo</h3>
+    <p>Znak na&nbsp;třetí pozici označuje kategorii čísla:</p>
+    <ul>
+        <li>S - singulár</li>
+        <li>P - plurál</li>
+        <li>D - duál</li>
+    </ul>
+
+    <h3>Rod</h3>
+    <p>Znak na&nbsp;čtvrté pozici označuje kategorii jmenného rodu:</p>
+    <ul>
+        <li>M - maskulinum</li>
+        <li>F - femininum</li>
+        <li>N - neutrum</li>
+    </ul>
+
+    <h3>Stupeň</h3>
+    <p>Znak na&nbsp;páté pozici označuje stupeň tvaru adjektiva nebo adverbia:</p>
+    <ul>
+        <li>1 - pozitiv</li>
+        <li>2 - komparativ</li>
+        <li>3 – superlativ</li>
+    </ul>
+
+    <h3>Tvar deklinace</h3>
+    <p>Znak na&nbsp;šesté pozici udává deklinační typ adjektiv:</p>
+    <ul>
+        <li>C - tvar deklinace složené</li>
+        <li>N - tvar deklinace jmenné</li>
+    </ul>
+    <h3>Tvar substantivizovaného adjektiva</h3>
+    <p>Znak S na&nbsp;sedmé pozici označuje tvar substantivizovaného adjektiva.</p>
+    <h3>Proměnný parametr</h3>
+    <p>Osmá pozice je obsazena proměnným parametrem. Ve vztahu ke&nbsp;slovnímu druhu mají znaky na&nbsp;této pozici mají různý význam:</p>
+
+    <h4>Substantivum</h4>
+    <p>Parametr se neudává.</p>
+
+    <h4>Adjektivum</h4>
+    <p>Parametr se neudává.</p>
+
+    <h4>Pronomen</h4>
+    <p>Znak udává sémantickou klasifikaci zájmena:</p>
+    <ul>
+        <li>P - personale, zájmeno osobní</li>
+        <li>S - posesivum, zájmeno přivlastňovací</li>
+        <li>D - demonstrativum, zájmeno ukazovací</li>
+        <li>Q - interogativum, zájmeno tázací</li>
+        <li>J - relativum, zájmeno vztažné</li>
+        <li>Z - indefinitum, zájmeno neurčité</li>
+    </ul>
+
+    <h4>Numerále</h4>
+    <p>Parametr se neudává</p>
+    <h4>Verbum</h4>
+    <p>Znak udává základní rozlišení slovesných tvarů určitých a&nbsp;neurčitých:</p>
+    <ul>
+        <li>F - infinitiv</li>
+        <li>D - indikativ</li>
+        <li>I - imperativ</li>
+        <li>C - kondicionál</li>
+        <li>S - supinum</li>
+        <li>E - přechodník přítomný</li>
+        <li>M - přechodník minulý</li>
+        <li>A - participium perfekta aktiva</li>
+        <li>P - participium perfekta pasiva</li>
+    </ul>
+
+    <h4>Adverbium</h4>
+    <p>Parametr se neudává</p>
+    <h4>Prepozice</h4>
+    <p>Parametr se neudává</p>
+    <h4>Konjunkce</h4>
+    <ul>
+        <li>V - větná</li>
+        <li>C - členská</li>
+        <li>N - navazovací</li>
+        <li>P - spojení s přechodníkem</li>
+    </ul>
+
+    <h4>Interjekce</h4>
+    <p>Parametr se neudává</p>
+
+    <h4>Partikule</h4>
+    <p>Parametr se neudává</p>
+
+    <p>Znaky na&nbsp;pozicích 9–12 jsou vyhrazeny slovesným morfologickým kategoriím.</p>
+    <h3>Osoba</h3>
+    <p>Číselný znak na&nbsp;deváté pozici označuje kategorii slovesné osoby:</p>
+
+    <ul>
+        <li>1 - 1. osoba</li>
+        <li>2 - 2. osoba</li>
+        <li>3 - 3. osoba</li>
+    </ul>
+
+    <h3>Čas</h3>
+    <p>Znak na&nbsp;desáté pozici označuje kategorii a&nbsp;tvar slovesného času:</p>
+    <ul>
+        <li>P - prézens</li>
+        <li>A - aorist</li>
+        <li>R - préteritum</li>
+        <li>I - imperfektum</li>
+        <li>H - plusquamperfektum</li>
+        <li>F - futurum</li>
+    </ul>
+
+    <h3>Slovesný Rod</h3>
+    <p>Znak na&nbsp;jedenácté pozici označuje slovesný rod:</p>
+    <ul>
+        <li>P - pasivum</li>
+        <li>A - aktivum</li>
+    </ul>
+
+    <h3>Slovesný Vid</h3>
+    <p>Znak na&nbsp;dvanácté pozici označuje kategorii slovesného vidu:</p>
+    <ul>
+        <li>P - dokonavé sloveso</li>
+        <li>I - nedokonavé sloveso</li>
+    </ul>
+
+    <h2>Zkratky textových pramenů</h2>
+    <ul>
+        <li>V - rukopis Vídeňský</li>
+        <li>H - zlomky Hanušovy</li>
+        <li>Hr - zlomky Hradecké</li>
+        <li>C - rukopis Cambridžský</li>
+        <li>F - rukopis Františkánský</li>
+        <li>O - zlomek Olomoucký</li>
+        <li>S - fragment Strahovský</li>
+        <li>K - zlomky Klementinsko-Křižovnické</li>
+        <li>M - zlomky Mnichovské</li>
+        <li>L - rukopis Lobkovický</li>
+        <li>P - rukopis Pelclův</li>
+        <li>Cr - rukopis Cerronský</li>
+        <li>Fs - rukopis Fürstenberský</li>
+        <li>Z - rukopis Zebererův</li>
+        <li>Jš - vydání Pavla Ješína z Bezdězi, Praha 1620</li>
+        <li>Pl - básně připsané při Pulkavově kronice v rukopisu Litoměřickém</li>
+    </ul>
 </div>
\ No newline at end of file
diff --git a/application/view/contents/searchContent.php b/application/view/contents/searchContent.php
index 9d42f80..49ea859 100644
--- a/application/view/contents/searchContent.php
+++ b/application/view/contents/searchContent.php
@@ -66,7 +66,7 @@
                 <option value = "N">substantivum</option>
                 <option value = "A">adjektivum</option>
                 <option value = "P">pronomen</option>
-                <option value = "C">numeralie</option>
+                <option value = "C">numerále</option>
                 <option value = "V">verbum</option>
                 <option value = "D">adverbium</option>
                 <option value = "R">prepozice</option>
@@ -263,6 +263,7 @@
                         //console.log(search);
                         let parsedJSON = JSON.parse(search);
                         if(parsedJSON.count === 0){
+                            document.getElementById("no-data-label").textContent = "Žádná data nebyla nalezena";
                             document.getElementById("no-data-label").style.display = "";
                             document.getElementById("paging-control").style.display = "none";
                         } else {
@@ -360,7 +361,7 @@
         </tbody>
     </table>
 
-    <h3 id="no-data-label" class="mx-auto text-center font-italic">Žádná data nebyla nalezena</h3>
+    <h3 id="no-data-label" class="mx-auto text-center font-italic">Probíhá načítání dat</h3>
 
     <div id="paging-control" class="mx-auto text-center" style="display: none">
         <button class="border-0 shadow-none bg-transparent" onclick="moveToFirst()"><b><<</b></button>
diff --git a/application/view/js-scripts/convertors.js b/application/view/js-scripts/convertors.js
index bdca4f2..372f60e 100644
--- a/application/view/js-scripts/convertors.js
+++ b/application/view/js-scripts/convertors.js
@@ -3,7 +3,7 @@ const codeToWordclass = {
     "N": "substantivum",
     "A": "adjektivum",
     "P": "pronomen",
-    "C": "numeralie",
+    "C": "numerále",
     "V": "verbum",
     "D": "adverbium",
     "R": "prepozice",
diff --git a/application/view/modals/editModal.html b/application/view/modals/editModal.html
index 8653ca3..1f2fabd 100644
--- a/application/view/modals/editModal.html
+++ b/application/view/modals/editModal.html
@@ -106,7 +106,7 @@
                                 <option value = "N">substantivum</option>
                                 <option value = "A">adjektivum</option>
                                 <option value = "P">pronomen</option>
-                                <option value = "C">numeralie</option>
+                                <option value = "C">numerále</option>
                                 <option value = "V">verbum</option>
                                 <option value = "D">adverbium</option>
                                 <option value = "R">prepozice</option>