commit 5594fab5a296c7d0955bf38c7fcec8375b25bfac
Author: Ondrej Drtina <drtinao@students.zcu.cz>
Date:   Thu Apr 29 09:08:45 2021 +0200

    #8751 - přidány texty záložek + stylizováno. Vše upraveno dle dohody, viz úkol na RM, finished.

diff --git a/application/view/contactsContent.html b/application/view/contactsContent.html
index c990bcb..fcbe0e3 100644
--- a/application/view/contactsContent.html
+++ b/application/view/contactsContent.html
@@ -1 +1,54 @@
-<p>tady budou kontakty</p>
\ No newline at end of file
+<style>
+    table, td, th{
+        border: 1px solid black;
+    }
+</style>
+
+<h3>Zadavatelé projektu</h3>
+<div>
+<table>
+    <tr>
+        <th class="text-center">jméno</th>
+        <th class="text-center">e-mailová adresa</th>
+    </tr>
+    <tr>
+        <td>PhDr. Eva Pasáčková, CSc.</td>
+        <td>epasacko@kcj.zcu.cz</td>
+    </tr>
+    <tr>
+        <td>Mgr. Martina Spěváčková, Ph.D.</td>
+        <td>spevacko@kcj.zcu.cz</td>
+    </tr>
+</table>
+</div>
+<br>
+<h3>Tým řešitelů</h3>
+<div>
+<table>
+    <tr>
+        <th class="text-center">jméno</th>
+        <th class="text-center">e-mailová adresa</th>
+        <th class="text-center">studentské číslo</th>
+    </tr>
+    <tr>
+        <td>Ondřej Anděl</td>
+        <td>andelo@students.zcu.cz</td>
+        <td>A20N0074P</td>
+    </tr>
+    <tr>
+        <td>Tomáš Pašek</td>
+        <td>pasekt@students.zcu.cz</td>
+        <td>A20N0099P</td>
+    </tr>
+    <tr>
+        <td>Milan Vacek</td>
+        <td>vacekm@students.zcu.cz</td>
+        <td>A20N0108P</td>
+    </tr>
+    <tr>
+        <td>Ondřej Drtina</td>
+        <td>drtinao@students.zcu.cz</td>
+        <td>A20N0077P</td>
+    </tr>
+</table>
+</div>
\ No newline at end of file
diff --git a/application/view/indexContent.html b/application/view/indexContent.html
index ba18973..bd869ce 100644
--- a/application/view/indexContent.html
+++ b/application/view/indexContent.html
@@ -1,3 +1 @@
-<p>
-<div>Internetová aplikace zpřístupňuje badatelské veřejnosti Index slov a tvarů Dalimilovy kroniky.  Byla vytvořena řešitelským týmem studentů katedry informatiky a výpočetní techniky Fakulty aplikovaných věd Západočeské univerzity v Plzni, vedeným Bc. Ondřejem Drtinou pod gescí doc. Ing. Přemysla Brady, MSc, Ph.D. Vychází z výsledků projektů, které byly v letech 2013–2020 řešeny studenty katedry českého jazyka a literatury Fakulty pedagogické ZČU v Plzni pod vedením PhDr. Evy Pasáčkové, CSc., a Mgr. Martiny Spěváčkové, Ph.D. Hlavním výsledkem těchto projektů bylo vydání indexu v tištěné podobě (<span style="font-style: italic">Staročeská kronika tak řečeného Dalimila. Index slov a tvarů. 1. část – substantiva, adjektiva</span>. Plzeň: ZČU 2013, <span style="font-style: italic">2. část – slovesa</span>. Plzeň: ZČU 2015, <span style="font-style: italic">3. část – zájmena, číslovky, neohebné slovní druhy</span>. Plzeň: ZČU 2020). Nedílnou a velmi důležitou součástí řešení bylo vytvoření anotačního editoru, na jehož základě byla zpracována finální podoba pro tisk. Zásadní podporou pro zpracování bylo vytvoření dvou elektronických databází. Tvůrcem byl Ing. Tomáš Brychcín, Ph.D.</div><br><div>Řešitelský tým studentů Fakulty aplikovaných věd ve složení Ondřej Drtina, Ondřej Anděl, Tomáš Pašek a Milan Vacek tyto pracovní databáze sloučil a vytvořil internetovou aplikaci, která data zpřístupňuje všem uživatelům na webu.</div><br>Projekty byly podpořeny vnitřní grantovou soutěží Západočeské univerzity v Plzni. 
-</p>
\ No newline at end of file
+<div>Internetová aplikace zpřístupňuje badatelské veřejnosti Index slov a tvarů Dalimilovy kroniky.  Byla vytvořena řešitelským týmem studentů katedry informatiky a výpočetní techniky Fakulty aplikovaných věd Západočeské univerzity v Plzni, vedeným Bc. Ondřejem Drtinou pod gescí doc. Ing. Přemysla Brady, MSc, Ph.D. Vychází z výsledků projektů, které byly v letech 2013–2020 řešeny studenty katedry českého jazyka a literatury Fakulty pedagogické ZČU v Plzni pod vedením PhDr. Evy Pasáčkové, CSc., a Mgr. Martiny Spěváčkové, Ph.D. Hlavním výsledkem těchto projektů bylo vydání indexu v tištěné podobě (<span style="font-style: italic">Staročeská kronika tak řečeného Dalimila. Index slov a tvarů. 1. část – substantiva, adjektiva</span>. Plzeň: ZČU 2013, <span style="font-style: italic">2. část – slovesa</span>. Plzeň: ZČU 2015, <span style="font-style: italic">3. část – zájmena, číslovky, neohebné slovní druhy</span>. Plzeň: ZČU 2020). Nedílnou a velmi důležitou součástí řešení bylo vytvoření anotačního editoru, na jehož základě byla zpracována finální podoba pro tisk. Zásadní podporou pro zpracování bylo vytvoření dvou elektronických databází. Tvůrcem byl Ing. Tomáš Brychcín, Ph.D.</div><br><div>Řešitelský tým studentů Fakulty aplikovaných věd ve složení Ondřej Drtina, Ondřej Anděl, Tomáš Pašek a Milan Vacek tyto pracovní databáze sloučil a vytvořil internetovou aplikaci, která data zpřístupňuje všem uživatelům na webu.</div><br><div>Projekty byly podpořeny vnitřní grantovou soutěží Západočeské univerzity v Plzni.</div> 
\ No newline at end of file
diff --git a/application/view/materialContent.html b/application/view/materialContent.html
index 674e746..c16669b 100644
--- a/application/view/materialContent.html
+++ b/application/view/materialContent.html
@@ -1,3 +1,3 @@
-<p>
-    Webová aplikace indexu slov a tvarů Staročeské kroniky tak řečeného Dalimila zpřístupňuje slova a slovní tvary, které jsou doloženy v dochovaných textových pramenech této staročeské památky. Index vychází z lístkové kartotéky slov vytvořené prof. Jiřím Daňhelkou (54 482 lístky) v souvislosti s přípravou vydání edice (Daňhelka, J.; Hádek, K.; Kvítková, N.: Staročeská kronika tak řečeného Dalimila. 1, 2 Vydání textu a veškerého textového materiálu. Praha: Academia: 1988). Zahrnuje všechna doložená slova a jejich slovní tvary, a to v transkribované podobě, jejich morfologickou charakteristiku, údaj o textových pramenech, v nichž se tvary nachází, přesnou lokaci (číslo kapitoly, číslo verše). V položce doplňující údaj je uveden případný odkaz k variantní formě lexému, u slovesných tvarů je údaj o doložené konstrukční spojitelnosti (valenci), výjimečně také o spojitelnosti sémantické. Poznámky připojené k jednotlivým tvarům upozorňují na písařskou či opisovačskou chybu nebo upozorňují na úplné čtení dokladu.
-</p>
\ No newline at end of file
+<div>
+Webová aplikace indexu slov a tvarů Staročeské kroniky tak řečeného Dalimila zpřístupňuje slova a slovní tvary, které jsou doloženy v dochovaných textových pramenech této staročeské památky. Index vychází z lístkové kartotéky slov vytvořené prof. Jiřím Daňhelkou (54 482 lístky) v souvislosti s přípravou vydání edice (Daňhelka, J.; Hádek, K.; Kvítková, N.: <span style="font-style: italic">Staročeská kronika tak řečeného Dalimila. 1, 2 Vydání textu a veškerého textového materiálu</span>. Praha: Academia: 1988). Zahrnuje všechna doložená slova a jejich slovní tvary, a to v transkribované podobě, jejich morfologickou charakteristiku, údaj o textových pramenech, v nichž se tvary nachází, přesnou lokaci (číslo kapitoly, číslo verše). V položce doplňující údaj je uveden případný odkaz k variantní formě lexému, u slovesných tvarů je údaj o doložené konstrukční spojitelnosti (valenci), výjimečně také o spojitelnosti sémantické. Poznámky připojené k jednotlivým tvarům upozorňují na písařskou či opisovačskou chybu nebo upozorňují na úplné čtení dokladu.
+</div>
\ No newline at end of file