commit 5a19f184302e29e83f7498f865e4aeb5f06fec04
Author: Anděl Ondřej <ondrej.andel@marbes.cz>
Date:   Thu Apr 29 09:44:35 2021 +0200

    Fix: merge-fix (titles)

diff --git a/application/view/contactsContent.html b/application/view/contactsContent.html
index fcbe0e3..51f0ae4 100644
--- a/application/view/contactsContent.html
+++ b/application/view/contactsContent.html
@@ -31,22 +31,22 @@
         <th class="text-center">studentské číslo</th>
     </tr>
     <tr>
-        <td>Ondřej Anděl</td>
+        <td>Bc. Ondřej Anděl</td>
         <td>andelo@students.zcu.cz</td>
         <td>A20N0074P</td>
     </tr>
     <tr>
-        <td>Tomáš Pašek</td>
+        <td>Bc. Tomáš Pašek</td>
         <td>pasekt@students.zcu.cz</td>
         <td>A20N0099P</td>
     </tr>
     <tr>
-        <td>Milan Vacek</td>
+        <td>Bc. Milan Vacek</td>
         <td>vacekm@students.zcu.cz</td>
         <td>A20N0108P</td>
     </tr>
     <tr>
-        <td>Ondřej Drtina</td>
+        <td>Bc. Ondřej Drtina</td>
         <td>drtinao@students.zcu.cz</td>
         <td>A20N0077P</td>
     </tr>
diff --git a/application/view/indexContent.html b/application/view/indexContent.html
index bd869ce..ec1bc3e 100644
--- a/application/view/indexContent.html
+++ b/application/view/indexContent.html
@@ -1 +1 @@
-<div>Internetová aplikace zpřístupňuje badatelské veřejnosti Index slov a tvarů Dalimilovy kroniky.  Byla vytvořena řešitelským týmem studentů katedry informatiky a výpočetní techniky Fakulty aplikovaných věd Západočeské univerzity v Plzni, vedeným Bc. Ondřejem Drtinou pod gescí doc. Ing. Přemysla Brady, MSc, Ph.D. Vychází z výsledků projektů, které byly v letech 2013–2020 řešeny studenty katedry českého jazyka a literatury Fakulty pedagogické ZČU v Plzni pod vedením PhDr. Evy Pasáčkové, CSc., a Mgr. Martiny Spěváčkové, Ph.D. Hlavním výsledkem těchto projektů bylo vydání indexu v tištěné podobě (<span style="font-style: italic">Staročeská kronika tak řečeného Dalimila. Index slov a tvarů. 1. část – substantiva, adjektiva</span>. Plzeň: ZČU 2013, <span style="font-style: italic">2. část – slovesa</span>. Plzeň: ZČU 2015, <span style="font-style: italic">3. část – zájmena, číslovky, neohebné slovní druhy</span>. Plzeň: ZČU 2020). Nedílnou a velmi důležitou součástí řešení bylo vytvoření anotačního editoru, na jehož základě byla zpracována finální podoba pro tisk. Zásadní podporou pro zpracování bylo vytvoření dvou elektronických databází. Tvůrcem byl Ing. Tomáš Brychcín, Ph.D.</div><br><div>Řešitelský tým studentů Fakulty aplikovaných věd ve složení Ondřej Drtina, Ondřej Anděl, Tomáš Pašek a Milan Vacek tyto pracovní databáze sloučil a vytvořil internetovou aplikaci, která data zpřístupňuje všem uživatelům na webu.</div><br><div>Projekty byly podpořeny vnitřní grantovou soutěží Západočeské univerzity v Plzni.</div> 
\ No newline at end of file
+<div>Internetová aplikace zpřístupňuje badatelské veřejnosti Index slov a tvarů Dalimilovy kroniky.  Byla vytvořena řešitelským týmem studentů katedry informatiky a výpočetní techniky Fakulty aplikovaných věd Západočeské univerzity v Plzni, vedeným Bc. Ondřejem Drtinou pod gescí doc. Ing. Přemysla Brady, MSc, Ph.D. Vychází z výsledků projektů, které byly v letech 2013–2020 řešeny studenty katedry českého jazyka a literatury Fakulty pedagogické ZČU v Plzni pod vedením PhDr. Evy Pasáčkové, CSc., a Mgr. Martiny Spěváčkové, Ph.D. Hlavním výsledkem těchto projektů bylo vydání indexu v tištěné podobě (<span style="font-style: italic">Staročeská kronika tak řečeného Dalimila. Index slov a tvarů. 1. část – substantiva, adjektiva</span>. Plzeň: ZČU 2013, <span style="font-style: italic">2. část – slovesa</span>. Plzeň: ZČU 2015, <span style="font-style: italic">3. část – zájmena, číslovky, neohebné slovní druhy</span>. Plzeň: ZČU 2020). Nedílnou a velmi důležitou součástí řešení bylo vytvoření anotačního editoru, na jehož základě byla zpracována finální podoba pro tisk. Zásadní podporou pro zpracování bylo vytvoření dvou elektronických databází. Tvůrcem byl Ing. Tomáš Brychcín, Ph.D.</div><br><div>Řešitelský tým studentů Fakulty aplikovaných věd ve složení Bc. Ondřej Drtina, Bc. Ondřej Anděl, Bc. Tomáš Pašek a Bc. Milan Vacek tyto pracovní databáze sloučil a vytvořil internetovou aplikaci, která data zpřístupňuje všem uživatelům na webu.</div><br><div>Projekty byly podpořeny vnitřní grantovou soutěží Západočeské univerzity v Plzni.</div>
\ No newline at end of file